org.apache.ignite.internal.processors.hadoop

## Interface GridHadoopMapReducePlanner

    public interface GridHadoopMapReducePlanner

Map-reduce execution planner.

### Method Summary

Methods
`GridHadoopMapReducePlan` `preparePlan(GridHadoopJob job, Collection<ClusterNode> top, GridHadoopMapReducePlan oldPlan)` Prepares map-reduce execution plan for the given job and topology.

### Method Detail

#### preparePlan

    GridHadoopMapReducePlan preparePlan(GridHadoopJob job,
                                      Collection<ClusterNode> top,
                                      @Nullable
                                      GridHadoopMapReducePlan oldPlan)
                                        throws IgniteCheckedException

Prepares map-reduce execution plan for the given job and topology.

Parameters:
  `job` - Job.
  `top` - Topology.
  `oldPlan` - Old plan in case of partial failure.
Returns:
  Map reduce plan.
Throws:
  `IgniteCheckedException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015